<?php

/**
 * Cron update for campaigns and other activities ~(^v^)~
 * ~(^v^)~
 * @link       http://www.techspawn.com
 * @since      1.0.0
 *
 * @package    Wamc
 * @subpackage Wamc/admin
 */

class Wamc_Cron_Init{

    public function __construct()
    {  
        add_filter('cron_schedules', [$this, 'wamc_cron_init_callback']);
            // Schedule an action if it's not already scheduled
            if (!wp_next_scheduled('wamc_default_cron_init')) {
                wp_schedule_event(time(), 'wamc_default_cron_init', 'wamc_default_cron_init');
            }   

        // Hook into that action that'll fire
        add_action('wamc_default_cron_init', [$this, 'wamc_default_cron_init_cb']);

    }

    function wamc_cron_init_callback($schedules){

        $default_first_time = 1;
        if (!empty($default_first_time) || $default_first_time == '0') {
            $schedules['wamc_default_cron_init'] = array(
                'interval'  => $default_first_time * 60,
                'display'   => esc_html("Every $default_first_time Minutes", 'wamc')
            );
        }
        return $schedules;
    }

    public function wamc_default_cron_init_cb()
    {
        global $wpdb;
        $allCampaigns = $wpdb->get_results($wpdb->prepare("SELECT id, wamc_campaign_name, wamc_campaign_user_list, wamc_campaign_template_id, wamc_campaign_schedule, wamc_campaign_meta, wamc_campaign_created_on, wamc_campaign_status FROM ".$wpdb->prefix."wamc_campaign ORDER BY id DESC"));
		require_once plugin_dir_path( __FILE__ )."wamc-shoot-msg.php";
		$current_time = strtotime(date("h:i:sa"));
		$camp_Stime = strtotime($camp_Stime);
		foreach($allCampaigns as $k => $val){
			
			$camp_id     = $val->id;
			$camp_name   = $val->wamc_campaign_name;
			$user_list   = $val->wamc_campaign_user_list;
			$_temp_id    = $val->wamc_campaign_template_id;
			$camp_Stime  = $val->wamc_campaign_schedule;
			$camp_Cdate  = $val->wamc_campaign_created_on;
			$camp_status = $val->wamc_campaign_status;

            $schedule_time = $camp_Stime - 60;
			if($schedule_time < $current_time){
				if($camp_status == "active"){			
				// if scheduled time is less than current time, then we are good to go...
				$message = new Wamc_Shoot();
				$message = $message->wamc_shoot_bulk($camp_id, $user_list, $_temp_id);
				}
			}
		}

        
    }

}


new Wamc_Cron_Init();