<?php
/**
 *
 * This class defines all code related to custom rest api endpoints.
 *
 * @since      1.2.13
 * @package    WamC
 * @subpackage WamC/includes
 * @author     techspawn1 <contact@techspawn.com>
 */
class WamC_Rest_Api
{
    public function __construct(){
        add_action( "rest_api_init", [$this, "wamc_register_rest_routes"]);
        add_action('woocommerce_api_loaded', [$this, "wamc_load_apifile"]);
    }

    /**
     * Registers all rest routes
     */
    public function wamc_register_rest_routes(){

        // *Register Locations rest route
        register_rest_route('wc/v3', '/unsubscribe/', array(
            'callback' => [$this, 'wamc_test'],
            'methods' => 'POST',
            'permission_callback' => '__return_true',
        ));
    }

     /**
     * callback function for locations rest route
     */
    public function wamc_test()
    {
        global $wpdb;

        $_messageBody = $_POST['message'];
        $_mobileNumber = $_POST['number'];

        $meta_key = 'billing_phone';
        $mobileNumberofUser = $_mobileNumber;

        $args = array(
            'meta_key' => $meta_key,
            'meta_value' => $mobileNumberofUser,
        );

        // find user id by billing phone
        $users = get_users( $args );

        foreach ( $users as $user ) {
            $user_id = $user->ID;
        }

        // if we are not able to find user by billing phone
        if(empty($user_id)){
            
            $args = array(
                'meta_key' => "wamc_phone",
                'meta_value' => $mobileNumberofUser,
            );

            // find user by wamc_phone which is our custom meta
            $users = get_users($args);

            foreach ( $users as $user ) {
                $user_id = $user->ID;
              
            }

        }
                
        // now we have to update a custom meta
        // custom meta name is wamc_stop_messages
        if($_messageBody == "STOP"):
        $stop_message = add_user_meta($user_id, "wamc_stop_messages", "STOP");
        endif;

        
        return ;
    }



}

new WamC_Rest_Api();