(function( $ ) {
	'use strict';
	jQuery( document ).ready(function() {
		
		// $('#wamc-add-user-country').select2();
		$('#wamc_userslist_bulk_message').select2();
		$('#wamc_template_bulk_message').select2();
		$('#wamc_select_userlist_for_campaign').select2();
		$('#wamc_select_template_for_campaign').select2();
		$('#wamc_admin_timezone').select2();

		
		$("#wamc_userlist_table").DataTable({stripeClasses:[]});
		$("#wamc_camplist_table").DataTable({stripeClasses:[]});
		$("#wamc_remove_users_from_list").DataTable({stripeClasses:[]});
		$("#wamc_execution_date_of_campaign").flatpickr({
			enableTime: true,
			dateFormat: "Y-m-d H:i",
		});

        // send bulk messages -codeinit
		$("#wamc_send_bulk_message_action").on('click', function(){
            var userList = $("#wamc_userslist_bulk_message").val();
            var tempName = $("#wamc_template_bulk_message").val();
            Swal.showLoading();
			$.ajax( {
				type: "POST",
				url: wamc.ajaxurl,
				data: {
				  action: "wamc_send_bulk_messages",
                  userList: userList,
                  tempName: tempName,
				},
				success ( res )
				{	
					if(res =="empty"){
							Swal.fire({
								  title: 'Fields Empty!',
								  text: 'Please select all fields.',
								  icon: 'error',
								  confirmButtonText: 'Okay'
								},).then((result) => {
									// Reload the Page
									
								  });
					}else{
						const resp = JSON.parse(res);
						if(resp.status == "sent"){
						Swal.fire({
							  title: 'Message Sent!',
							  text: 'Successfully delivered messages to '+resp.count+' users!',
							  icon: 'success',
							  confirmButtonText: 'Okay'
							},).then((result) => {
								// Reload the Page
								location.reload();
							  });
						}
					}
				},
			} );
		});
        // send bulk messages -codeend


		//save admin settings
		$("#wamc_save_admin_settings").on('click', function(){
			var waToken = $("#wamc_bearer_token_whatsapp").val();
            var waPhone = $("#wamc_mobile_number_whatsapp").val();
            var waBusID = $("#wamc_whatsapp_business_id").val();
            var waBmbID = $("#wamc_whatsapp_business_mobile_number_id").val();
			var waDlimt = $("#wamc_daily_message_limit_whatsapp").val();
			var waTimez = $("#wamc_admin_timezone").val();
			Swal.showLoading();
			$.ajax( {
				type: "POST",
				url: wamc.ajaxurl,
				data: {
				  action: "wamc_save_admin_settings",
                  waToken: waToken,
                  waPhone: waPhone,
                  waBusID: waBusID,
                  waBmbID: waBmbID,
                  waDlimt: waDlimt,
				  waTimez: waTimez,
				},
				success ( res )
				{	
				  if(res == "save"){
					  Swal.fire({
						  title: 'Saved!',
						  text: 'Settings has been saved successfully!',
						  icon: 'success',
						  confirmButtonText: 'Okay'
						},).then((result) => {
							// Reload the Page
							location.reload();
						  });
				  	}
				},
			} );

		});
		//save admin settings code-end

		// edit user infor
		$("#wamc_save_user_settings").on('click', function(){
			var fName = $("#wamc_user_fname_edit").val();
            var lName = $("#wamc_user_lname_edit").val();
            var cc = $("#wamc_user_cc_edit").val();
            var UID = $("#wamc_update_user_id").val();
            var mob = $("#wamc_user_mobile_edit").val();
			Swal.showLoading();
			$.ajax( {
				type: "POST",
				url: wamc.ajaxurl,
				data: {
				  action: "wamc_save_user_settings",
                  fName: fName,
                  lName: lName,
                  cc: cc,
                  mob: mob,
				  UID: UID,
				},
				success ( res )
				{	
				  if(res == "save"){
					  Swal.fire({
						  title: 'Saved!',
						  text: 'Settings has been saved successfully!',
						  icon: 'success',
						  confirmButtonText: 'Okay'
						},).then((result) => {
							// Reload the Page
							location.reload();
						  });
				  	}
				},
			} );

		});

		//add campaign code-init

		$("#wamc_add_new_campaign_btn").on('click', function(){
			var campName  = $("#wamc_add_new_campaign_name").val();
            var campUList = $("#wamc_select_userlist_for_campaign").val();
            var campTname = $("#wamc_select_template_for_campaign").val();
            var campEdate = $("#wamc_execution_date_of_campaign").val();
			var camp = $("#wamc_mobile_number_whatsapp").val();
			Swal.showLoading();
			$.ajax( {
				type: "POST",
				url: wamc.ajaxurl,
				data: {
				  action: "wamc_add_new_campaign",
                  campName: campName,
                  campUList: campUList,
                  campTname: campTname,
                  campEdate: campEdate,
                  camp: camp,
				},
				success ( res )
				{	
					switch (res) { 
						case "camp_added": 
							Swal.fire({
							title: 'Added!',
							text: 'Successfully updated your layout',
							icon: 'success',
							confirmButtonText: 'Okay'}).then((result) => {
								// Reload the Page
								window.location.replace('?screen=0');
							  });
							break;
						case "camp_blank":
							Swal.fire({
							title: 'Fields Empty',
							text: 'Fill all the required details!',
							icon: 'error',
							confirmButtonText: 'Okay'})
							break;
						case "camp_exist":
							Swal.fire({
							title: 'Already Exists!',
							text: 'Campaign with this name already exists!',
							icon: 'error',
							confirmButtonText: 'Okay'})
							break;
						default:
							Swal.fire({
							title: 'Error!',
							text: 'Unknown Error Occured!',
							icon: 'error',
							confirmButtonText: 'Okay'})
					}
					
				},
			} );
		});


		//update campaign
		//add campaign code-init

		$("#wamc_update_campaign_btn").on('click', function(){
			var campID  = $("#wamc_update_campaign_id").val();
			var campName  = $("#wamc_update_campaign_name").val();
            var campUList = $("#wamc_select_userlist_updatecamp").val();
            var campTname = $("#wamc_select_template_updatecamp").val();
            var campEdate = $("#wamc_execution_date_of_campaign").val();
			var camp = $("#wamc_mobile_number_whatsapp").val();
			Swal.showLoading();
			$.ajax( {
				type: "POST",
				url: wamc.ajaxurl,
				data: {
				  action: "wamc_edit_campaign",
				  campID: campID,
                  campName: campName,
                  campUList: campUList,
                  campTname: campTname,
                  campEdate: campEdate,
                  camp: camp,
				},
				success ( res )
				{	
					switch (res) { 
						case "camp_updated": 
							Swal.fire({
							title: 'Updated!',
							text: 'Successfully updated your layout',
							icon: 'success',
							confirmButtonText: 'Okay'}).then((result) => {
								// Reload the Page
								window.location.replace('?screen=0');
							  });
							break;
						case "camp_ublank":
							Swal.fire({
							title: 'Fields Empty',
							text: 'Fill all the required details!',
							icon: 'error',
							confirmButtonText: 'Okay'})
							break;
						case "camp_uexist":
							Swal.fire({
							title: 'Already Exists!',
							text: 'Campaign with this name already exists!',
							icon: 'error',
							confirmButtonText: 'Okay'})
							break;
						default:
							Swal.fire({
							title: 'Error!',
							text: 'Unknown Error Occured!',
							icon: 'error',
							confirmButtonText: 'Okay'})
					}
					
				},
			} );
		});
	
		
		//full screen f11
		function toggleFullscreen(elem) {
			elem = elem || document.documentElement;
			if (!document.fullscreenElement && !document.mozFullScreenElement &&
			!document.webkitFullscreenElement && !document.msFullscreenElement) {
			if (elem.requestFullscreen) {
				elem.requestFullscreen();
			} else if (elem.msRequestFullscreen) {
				elem.msRequestFullscreen();
			} else if (elem.mozRequestFullScreen) {
				elem.mozRequestFullScreen();
			} else if (elem.webkitRequestFullscreen) {
				elem.webkitRequestFullscreen(Element.ALLOW_KEYBOARD_INPUT);
			}
			} else {
			if (document.exitFullscreen) {
				document.exitFullscreen();
			} else if (document.msExitFullscreen) {
				document.msExitFullscreen();
			} else if (document.mozCancelFullScreen) {
				document.mozCancelFullScreen();
			} else if (document.webkitExitFullscreen) {
				document.webkitExitFullscreen();
			}
			}
		}
		
		document.getElementById('wamcbtnFullscreen').addEventListener('click', function() {
			toggleFullscreen();
		});
	  
		//edit campaign code-start
		$(".wamc_edit_campaign_icon").on('click', function(){
			var campID = $(this).attr("data-camp-id");
			Swal.showLoading();
			$.ajax( {
				type: "POST",
				url: wamc.ajaxurl,
				data: {
				  action: "wamc_edit_campaign",
                  campID: campID,
				},
				success ( res )
				{	
				  if(res == "save"){
					  Swal.fire({
						  title: 'Saved!',
						  text: 'Settings has been saved successfully!',
						  icon: 'success',
						  confirmButtonText: 'Okay'
						},).then((result) => {
							// Reload the Page
							location.reload();
						  });
				  	}
				},
			} );
		});
		//edit campaign code-edit

		//delete campaign code-start
		$(".wamc_delete_campaign_icon").on('click', function(){
			Swal.fire({
				title: "Delete?",
				text: "You are going to delete the campaign!",
				type: "warning",
				showCancelButton: true,
				confirmButtonColor: '#DD6B55',
				confirmButtonText: 'Yes, I am sure!',
				cancelButtonText: "No, cancel it!"
			 }).then((result) => {
				if (result['isConfirmed']==true){
					var campID = $(this).attr("data-camp-id");
					Swal.showLoading();
					$.ajax( {
						type: "POST",
						url: wamc.ajaxurl,
						data: {
						  action: "wamc_delete_campaign",
						  campID: campID,
						},
						success ( res )
						{	
						  if(res == "1"){
							  Swal.fire({
								  title: 'Deleted!',
								  text: 'Campaign has been deleted successfully!',
								  icon: 'success',
								  confirmButtonText: 'Okay'
								},).then((result) => {
									// Reload the Page
									location.reload();
								  });
							  }
						},
						} );
					}else{
						Swal.fire({
							title: 'Cancelled!',
							text: 'Campaign not deleted!',
							icon: 'error',
							confirmButtonText: 'Okay'
						  },).then((result) => {
							});
					}
			} );
		});

			//delete userlist code-start
			$(".wamc_delete_userlist_icon").on('click', function(){
				Swal.fire({
					title: "Delete?",
					text: "You are going to delete the campaign!",
					type: "warning",
					showCancelButton: true,
					confirmButtonColor: '#DD6B55',
					confirmButtonText: 'Yes, I am sure!',
					cancelButtonText: "No, cancel it!"
				}).then((result) => {
					if (result['isConfirmed']==true){
						var uListID = $(this).attr("data-ulist-id");
						Swal.showLoading();
						$.ajax( {
							type: "POST",
							url: wamc.ajaxurl,
							data: {
							action: "wamc_delete_userlist",
							uListID: uListID,
							},
							success ( res )
							{	
							if(res == "1"){
								Swal.fire({
									title: 'Deleted!',
									text: 'Campaign has been deleted successfully!',
									icon: 'success',
									confirmButtonText: 'Okay'
									},).then((result) => {
										// Reload the Page
										location.reload();
									});
								}
							},
							} );
						}else{
							Swal.fire({
								title: 'Cancelled!',
								text: 'Campaign not deleted!',
								icon: 'error',
								confirmButtonText: 'Okay'
							},).then((result) => {
								// Reload the Page
								});
						}
				} );
			});



		//update userlist onthego

		$("#wamc_edit_userlist_btn").on('click', function(){
			var ltName  = $("#wamc_edit_user_list_name").val();
            var ltDesc = $("#wamc_edit_user_list_desc").val();
            var ltID = $("#wamc_edit_user_list_id").val();
			Swal.showLoading();
			$.ajax( {
				type: "POST",
				url: wamc.ajaxurl,
				data: {
				  action: "wamc_update_userlist",
                  ltName: ltName,
                  ltDesc: ltDesc,
				  ltID: ltID,
				},
				success ( res )
				{	
					switch (res) { 
						case "camp_updated": 
							Swal.fire({
							title: 'Updated Userlist!',
							text: 'Successfully updated your layout',
							icon: 'success',
							confirmButtonText: 'Okay'}).then((result) => {
								// Reload the Page
								window.location.replace('?screen=0');
							  });
							break;
						case "camp_blank":
							Swal.fire({
							title: 'Fields Empty',
							text: 'Fill all the required details!',
							icon: 'error',
							confirmButtonText: 'Okay'})
							break;
						case "camp_exist":
							Swal.fire({
							title: 'Already Exists!',
							text: 'Campaign with this name already exists!',
							icon: 'error',
							confirmButtonText: 'Okay'})
							break;
						default:
							Swal.fire({
							title: 'Error!',
							text: 'Unknown Error Occured!',
							icon: 'error',
							confirmButtonText: 'Okay'})
					}
					
				},
			} );
		});

		//map templates

		jQuery(document).on('click', '#wamc_update_templates',function(){
			
			var wamc_head_params = jQuery("#wamc_head_params").val();
			var wamc_body_params = $('select[name="wamc_body_params[]"]').map(function () {
				return this.value; 
			}).get();

			var wamc_template_id = jQuery("#wamc_template_id").val();
			var wamc_template_name = jQuery("#wamc_template_name").val();
			var wamc_head_param_count = jQuery("#wamc_head_param_count").val();
			var wamc_body_param_count = jQuery("#wamc_body_param_count").val();
			var wamc_button_param_count = jQuery("#wamc_button_param_count").val();
			var wamc_language_params = jQuery("#wamc_language_params").val();
			var wamc_head_text = jQuery("#wamc_head_text").val();
			var wamc_body_text = jQuery("#wamc_body_text").val();

			$.ajax( {
			  type: "POST",
			  url: wamc.ajaxurl,
			  data: {
				action: "wamc_update_template_options",
				wamc_template_id: wamc_template_id,
				wamc_template_name : wamc_template_name,
				wamc_head_param_count : wamc_head_param_count,
				wamc_body_param_count : wamc_body_param_count,
				wamc_button_param_count : wamc_button_param_count,
				wamc_language_params : wamc_language_params,
				wamc_head_text : wamc_head_text,
				wamc_body_text : wamc_body_text,
				wamc_head_params : wamc_head_params,
				wamc_body_params : wamc_body_params,
				
			  },
			  success ( res )
			  {	
				if(res == '1'){
					Swal.fire({
						title: 'Mapped!',
						text: 'Successfully mapped your template',
						icon: 'success',
						confirmButtonText: 'Okay'
					  },).then((result) => {
						// Reload the Page
						location.reload()})

				}
				
			  },
			  } );
	  
			});





			// -----end----
	});

})( jQuery );

