(function( $ ) {
	'use strict';
	jQuery( document ).ready(function() {
		var table = $("#wamc_add_to_list_via_users").DataTable({
            dom: 'Blfrtip',
            lengthMenu: [[5, 10, 20, -1], [5, 10, 20, 'Show All']],
            pageLength : 5,
            "responsive": true,     
            stateSave: true,
            scrollY: '300px',
            scrollCollapse: true,
            paging: true,
          });
        
        // select all datatable
        $('#wamc-select-allusers, #wamc-select-allusers2').on('change', function(){
            var rows = table.rows({ 'search': 'applied' }).nodes();
            $('input[type="checkbox"]', rows).prop('checked', this.checked);
        });
        $('#table tbody').on('change', '#wamc-select-allusers', function(){
      
            if(!this.checked){
                var el = $('#wamc-select-allusers').get(0);           
                if(el && el.checked && ('indeterminate' in el)){
                    el.indeterminate = true;
                }
            }
        });
        var chk1 = $("#wamc-select-allusers");
        var chk2 = $("#wamc-select-allusers2");
        chk2.on('change', function(){
            chk1.prop('checked',this.checked);
            });
        chk1.on('change', function(){
        chk2.prop('checked',this.checked);
        });

        

        $("#wamc_add_new_userlist_users").on('click', function(){
            Swal.showLoading();
            var alluserchecks = new Array();
            $("input[name='wamc-user-select-input']:checked").each(function() {
                alluserchecks.push($(this).val());
            });

            var usrlistName = $("#wamc_add_userlist_name").val();
                var usrlistDes = $("#wamc_add_userlist_description").val();    
                $.ajax({
                    type: "POST",
                    url: wamc.ajaxurl,
                    data: {
                      action: "wamc_add_new_userlist",
                      usrlistName: usrlistName,
                      usrlistDes: usrlistDes,
                      checkedUsers: alluserchecks,
                      
                    },
                    success ( res )
                    {	
                        switch (res) { 
                            case "in1": 
                                Swal.fire({
                                title: 'Added!',
                                text: 'Successfully updated your layout',
                                icon: 'success',
                                confirmButtonText: 'Okay'}).then((result) => {
                                    // Reload the Page
                                    window.location.replace('?success=1');

                                  });
                                break;
                            case "in2":
                                Swal.fire({
                                title: 'Error!',
                                text: 'Userlist with same name exists!',
                                icon: 'error',
                                confirmButtonText: 'Okay'})
                                break;
                            case "in3":
                                Swal.fire({
                                title: 'Error!',
                                text: 'Please enter valid name!',
                                icon: 'error',
                                confirmButtonText: 'Okay'})
                                break;
                            default:
                                Swal.fire({
                                title: 'Error!',
                                text: 'Unknown Error Occured!',
                                icon: 'error',
                                confirmButtonText: 'Okay'})
                        }
                    },
                });

        });

        //delete users from user list
        $("#wamc_remove_mulusers_screen").on('click', function(){
            Swal.showLoading();
            var alluserchecks = new Array();
            $("input[name='wamc-user-select-input']:checked").each(function() {
                alluserchecks.push($(this).val());
            });
            
            var ltName  = $("#wamc_edit_user_list_name").val();
            var ltDesc = $("#wamc_edit_user_list_desc").val();
            var ltID = $("#wamc_edit_user_list_id").val();
            var isCheck =  $("#wamc-select-allusers").is(':checked');

                $.ajax({
                    type: "POST",
                    url: wamc.ajaxurl,
                    data: {
                      action: "wamc_remove_user_from_ul",
                      ltID: ltID,
                      usrlistName: ltName,
                      usrlistDes: ltDesc,
                      isCheck: isCheck,
                      checkedUsers: alluserchecks,
                      
                    },
                    success ( res )
                    {	
                        switch (res) { 
                            case "userl_updated": 
                                Swal.fire({
                                title: 'Removed users!',
                                text: 'Multiple users updated successfully!',
                                icon: 'success',
                                confirmButtonText: 'Okay'}).then((result) => {
                                    // Reload the Page
                                    location.reload();

                                  });
                                break;
                            default:
                                Swal.fire({
                                title: 'Error!',
                                text: 'Unknown Error Occured!',
                                icon: 'error',
                                confirmButtonText: 'Okay'})
                        }
                    },
                });

        });


        $("#wamc_add_new_userlist_csv").on('click', function(){
            Swal.showLoading();
            var userListCSV = $("#wamc_upload_userlist");
            var file = userListCSV[0].files[0];

            var oFReader = new FileReader();
	        oFReader.onloadend = function() {
	        	var jsonToBeSent = csvJSON(this.result);    
                 shootAjax(jsonToBeSent);
                
	        };
	        oFReader.readAsText(file);

            function csvJSON(csv){
                var lines=csv.split("\n");
                var result = [];
                var headers=lines[0].split(",");
                for(var i=1;i<lines.length;i++){
                    var obj = {};
                    var currentline=lines[i].split(",");
                    for(var j=0;j<headers.length;j++){
                        obj[headers[j]] = currentline[j];
                    }
                    result.push(obj);
                }
                //return result; //JavaScript object
                return JSON.stringify(result); //JSON
              }
            
            function shootAjax(jsonToBeSent){
                var usrlistName = $("#wamc_add_userlist_name").val();
                var usrlistDes = $("#wamc_add_userlist_description").val();    
                $.ajax({
                    type: "POST",
                    url: wamc.ajaxurl,
                    data: {
                      action: "wamc_add_new_userlist",
                      usrlistName: usrlistName,
                      usrlistDes: usrlistDes,
                      userListCSV: jsonToBeSent,
                      
                    },
                    success ( res )
                    {	
                        switch (res) { 
                            case "in1": 
                                Swal.fire({
                                title: 'Added!',
                                text: 'Successfully updated your layout',
                                icon: 'success',
                                confirmButtonText: 'Okay'}).then((result) => {
                                    // Reload the Page
                                    window.location.replace('?success=1');

                                  });
                                break;
                            case "in2":
                                Swal.fire({
                                title: 'Error!',
                                text: 'Userlist with same name exists!',
                                icon: 'error',
                                confirmButtonText: 'Okay'})
                                break;
                            case "in3":
                                Swal.fire({
                                title: 'Error!',
                                text: 'Please enter valid name!',
                                icon: 'error',
                                confirmButtonText: 'Okay'})
                                break;
                            default:
                                Swal.fire({
                                title: 'Error!',
                                text: 'Unknown Error Occured!',
                                icon: 'error',
                                confirmButtonText: 'Okay'})
                        }
                    },
                });
            }
		});


        $("#wamc_add_to_current_userlist_csv").on('click', function(){
            Swal.showLoading();
            var userListCSV = $("#wamc_addtocurr_upload_userlist");
            var file = userListCSV[0].files[0];

            var oFReader = new FileReader();
	        oFReader.onloadend = function() {
	        	var jsonToBeSent = csvJSON(this.result);    
                 shootAjax(jsonToBeSent);
                
	        };
	        oFReader.readAsText(file);

            function csvJSON(csv){
                var lines=csv.split("\n");
                var result = [];
                var headers=lines[0].split(",");
                for(var i=1;i<lines.length;i++){
                    var obj = {};
                    var currentline=lines[i].split(",");
                    for(var j=0;j<headers.length;j++){
                        obj[headers[j]] = currentline[j];
                    }
                    result.push(obj);
                }
                //return result; //JavaScript object
                return JSON.stringify(result); //JSON
              }
            
            function shootAjax(jsonToBeSent){
                var usrlistName = $("#wamc_addtocurr_userlist_name").val();
                var usrlistDes = $("#wamc_addtocurr_userlist_description").val();    
                $.ajax({
                    type: "POST",
                    url: wamc.ajaxurl,
                    data: {
                      action: "wamc_addtocurr_new_userlist",
                      usrlistName: usrlistName,
                      usrlistDes: usrlistDes,
                      userListCSV: jsonToBeSent,
                      
                    },
                    success ( res )
                    {	
                        switch (res) { 
                            case "in1": 
                                Swal.fire({
                                title: 'Added!',
                                text: 'Successfully updated your layout',
                                icon: 'success',
                                confirmButtonText: 'Okay'}).then((result) => {
                                    // Reload the Page
                                    window.location.replace('?success=1');

                                  });
                                break;
                            case "in2":
                                Swal.fire({
                                title: 'Error!',
                                text: 'Userlist with same name exists!',
                                icon: 'error',
                                confirmButtonText: 'Okay'})
                                break;
                            case "in3":
                                Swal.fire({
                                title: 'Error!',
                                text: 'Please enter valid name!',
                                icon: 'error',
                                confirmButtonText: 'Okay'})
                                break;
                            default:
                                Swal.fire({
                                title: 'Error!',
                                text: 'Unknown Error Occured!',
                                icon: 'error',
                                confirmButtonText: 'Okay'})
                        }
                    },
                });
            }
		});
        
        // remove users from userlist
        $(".wamc_remove_user_class").on('click', function(){
            var uListID = $(this).attr("data-ulist-id");
            var userListID = $("#wamc_userlist_id").val();
            Swal.showLoading();
            $.ajax( {
                type: "POST",
                url: wamc.ajaxurl,
                data: {
                action: "wamc_delete_user",
                uListID: uListID,
                userListID: userListID,
                },
                success ( res )
                {	
                if(res == "deleted"){
                    Swal.fire({
                        title: 'Deleted!',
                        text: 'User has been deleted successfully!',
                        icon: 'success',
                        confirmButtonText: 'Okay'
                        },).then((result) => {
                            // Reload the Page
                           location.reload();
                        });
                    }
                },
                } );

        });

        // remove multiple from userlist
        $(".wamc_edit_user_onthego").on('click', function(){
          
            var uid = $(this).attr("data-uid");
            var fname = $(this).attr("data-fname");
            var lname = $(this).attr("data-lname");
            var wamcMob = $(this).attr("data-wamc-mob");

            $("#wamc_user_fname_edit").val(fname);
            $("#wamc_user_lname_edit").val(lname);
            $("#wamc_user_mobile_edit").val(wamcMob);
            $("#wamc_userlist_id_edit").val(uid);

            
        });

        $("#wamc_update_user_onthego").on('click', function(){
          
            var uid = $("#wamc_userlist_id_edit").val();
            var fname = $("#wamc_user_fname_edit").val();
            var lname = $("#wamc_user_lname_edit").val();
            var wamcMob = $("#wamc_user_mobile_edit").val();

            $("#wamc-fn-"+uid).html(fname).fadeIn(500);
            $("#wamc-ln-"+uid).html(lname).fadeIn(500);
            $("#wamc-mb-"+uid).html(wamcMob).fadeIn(500);

            $("#wamc_edit_onthego_"+uid).attr("data-fname", fname);
            $("#wamc_edit_onthego_"+uid).attr("data-lname", lname);
            $("#wamc_edit_onthego_"+uid).attr("data-wamc-mob", wamcMob);

            $(".close-modal").trigger('click');
            $("#wamc-tr-rowid-"+uid).addClass('wamc_animating');
            var el = document.getElementById("wamc-tr-rowid-"+uid);
            var listener = el.addEventListener('animationend', function() {
                el.classList.remove("wamc_animating");
                el.removeEventListener('animationend', listener);
            });   
            $.ajax({
                type: "POST",
                url: wamc.ajaxurl,
                data: {
                  action: "wamc_update_userlist_otg",
                  uid: uid,
                  fname: fname,
                  lname: lname,
                  wamcMob: wamcMob,
                  
                },
                success ( res )
                {	
                    console.log('updated'+uid);
                },
            });            
        });


        //add users
        
        $("#wamc_add_user_onthego").on('click', function(){
           var fName = $("#wamc-add-user-fname").val();
           var lName = $("#wamc-add-user-lname").val();
           var mObile = $("#wamc-add-user-mobile").val();
           var cOuntry = $("#wamc-add-user-country").val();
           var uID = $("#wamc_userlist_id").val();


           $.ajax({
            type: "POST",
            url: wamc.ajaxurl,
            data: {
              action: "wamc_add_to_userlist_single",
              fName: fName,
              lName: lName,
              mObile: mObile,
              cOuntry: cOuntry,
              uID: uID,
              
            },
            success ( res )
            {	
                if(res =="_1"){
                    $(".close-modal").trigger('click');
                    Swal.fire({
                        title: 'Added!',
                        text: 'User has been added successfully!',
                        icon: 'success',
                        confirmButtonText: 'Okay'
                        },).then((result) => {
                            // Reload the Page
                           location.reload();
                        });
                }
                if(res =="_0"){
                    Swal.fire({
                        title: 'Error!',
                        text: 'User already exists!',
                        icon: 'success',
                        confirmButtonText: 'Okay'
                        },).then((result) => {
                            // Reload the Page
                        });
                }
            

            },
        }); 

        });




        $("#wamc_add_to_current_userlist_user").on('click', function(){
            Swal.showLoading();
            var alluserchecks = new Array();
            $("input[name='wamc-user-select-input']:checked").each(function() {
                alluserchecks.push($(this).val());
            });
            var ltID = $("#wamc_edit_user_list_id").val();
            var usrlistName = $("#wamc_add_userlist_name").val();
            var usrlistDes = $("#wamc_add_userlist_description").val(); 
            var isCheck =  $("#wamc-select-allusers").is(':checked');
            $.ajax({
                    type: "POST",
                    url: wamc.ajaxurl,
                    data: {
                      action: "wamc_add_to_current_userlist_user",
                      ltID: ltID,
                      usrlistName: usrlistName,
                      usrlistDes: usrlistDes,
                      checkedUsers: alluserchecks,
                      isCheck: isCheck,
                      
                    },
                    success ( res )
                    {	
                        switch (res) { 
                            case "in1": 
                                Swal.fire({
                                title: 'Added!',
                                text: 'Successfully updated your layout',
                                icon: 'success',
                                confirmButtonText: 'Okay'}).then((result) => {
                                    // Reload the Page
                                    window.location.replace('?success=1');

                                  });
                                break;
                            case "in2":
                                Swal.fire({
                                title: 'Error!',
                                text: 'Userlist with same name exists!',
                                icon: 'error',
                                confirmButtonText: 'Okay'})
                                break;
                            case "in3":
                                Swal.fire({
                                title: 'Error!',
                                text: 'Please enter valid name!',
                                icon: 'error',
                                confirmButtonText: 'Okay'})
                                break;
                            default:
                                Swal.fire({
                                title: 'Error!',
                                text: 'Unknown Error Occured!',
                                icon: 'error',
                                confirmButtonText: 'Okay'})
                        }
                    },
                });
        });

        // _____end_______
	});


})( jQuery );
