<?php
    global $wpdb;
    $id = $_GET['id'];
    $table_name = $wpdb->prefix.'wamc_user_lists';
    $sql_query = $wpdb->prepare("SELECT id, wamc_user_list_name, wamc_contacts_count, wamc_list_description, wamc_list_created_on, wamc_list_status FROM $table_name WHERE id = %s", $id);
    $result = $wpdb->get_results($sql_query);
    $userListName = $result[0]->wamc_user_list_name;
    $userListDesc = $result[0]->wamc_list_description;
 ?>

<div class="container-fluid py-4">
  <div class="row">
    <!-- --col1-- -->
    <div class="col-md-12">
      <div class="card">
        <div class="card-header pb-0">
          <div class='wamc-create-user-via'>
            <a href='?edit=3&id=<?php echo esc_attr($id);?>&to=<?php echo esc_attr($id);?>&via=csv'>
              <div class='wamc-create-user-via-csv'>
                <?php esc_html_e('Upload CSV', 'wamc');?>
              </div>
            </a>
            <div class='wamc-create-user-via-users wamc-create-user-via-active'>
              <?php esc_html_e('Select From Existing Users', 'wamc');?>
            </div>
          </div>
          <hr />
          <div class="d-flex align-items-center">
            <p class="mb-0">
              <?php esc_html_e('Edit Profile', 'wamc');?>
            </p>

          </div>
        </div>


        <div class="card-body">
          <div class="row">

            <!-- ----- -->
            <div class="row col-md-12">

              <div class="col-md-6">
                <div class="form-group">
                  <label for="example-text-input" class="form-control-label">
                    <?php esc_html_e( "Contact List Name:", 'wamc' );?>
                  </label>
                  <input class="form-control" value="<?php esc_attr_e( $userListName, 'wamc' );?>" type="text" id="wamc_add_userlist_name" placeholder="<?php esc_html_e( "
                    Enter the name of userlist.", 'wamc' );?>" onfocus="focused(this)" onfocusout="defocused(this)">
                </div>
              </div>

              <div class="col-md-6">
                <div class="form-group">
                  <label for="example-text-input" class="form-control-label">
                    <?php esc_html_e( "Description", 'wamc' );?>
                  </label>
                  <input class="form-control" value="<?php esc_attr_e( $userListDesc, 'wamc' );?>" id="wamc_add_userlist_description" type="text"
                    placeholder="<?php esc_html_e( " This list is about...", 'wamc' );?>" onfocus="focused(this)"
                  onfocusout="defocused(this)">
                </div>
              </div>
              <!-- ----- -->

              <div class="col-md-12">
                <div class="col-md-12">
                  <div class="form-group">
                    <?php
                      require_once plugin_dir_path( __FILE__ ) . 'wamc-wpuserslist.php';
                    ?>
                  </div>
                </div>

              </div>
              <input type='hidden' id='wamc_edit_user_list_id' value="<?php esc_attr_e($id);?>"/>
              <div class="col-md-12">
                <div class="form-group">
                  <button id="wamc_add_to_current_userlist_user" class="btn btn-primary btn-sm ms-auto"><span
                      class="fas fa-plus"></span>
                    <?php esc_html_e( "Add to current user list", 'wamc' );?>
                  </button>
                </div>
              </div>

            </div>



            <!-- ----- -->

          </div>

        </div>
      </div>
    </div>
    <!-- --col1-- -->
  </div>
</div>
</main>