<?php
    global $wpdb;
    require_once WAMC_DIR_PATH . '/public/partials/wamc-api-functions.php';
    $fetchLists = $wpdb->get_results(("SELECT id, wamc_user_list_name FROM ".$wpdb->prefix."wamc_user_lists ORDER BY id DESC"));
?>
<div class="container-fluid py-4">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header pb-0">
                    <div class="d-flex align-items-center">
                        <p class="mb-0"><?php esc_html_e('Send Bulk Message', 'wamc');?></p>
                    </div>
                    <hr class="wamc-create-user-via">
                </div>
                 <!-- now body section -->
                <div class="card-body">
                    <div class="row wamc-flex-col">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="example-text-input" class="form-control-label">
                                    <?php esc_html_e( "Select User List:", 'wamc' );?>
                                </label>
                                <select id="wamc_userslist_bulk_message" class="form-control">
                                    <option value=""><?php esc_html_e("-- Select User List --", 'wamc');?></option>
                                        <?php 
                                    foreach($fetchLists as $k => $value):
                                        $listName = $value->wamc_user_list_name;
                                        $uID = $value->id;
                                        ?>
                                            <option value="<?php esc_html_e($uID, 'wamc');?>"><?php esc_html_e($listName, 'wamc');?></option>
                                        <?php
                                    endforeach;
                                        ?> 
                                </select>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                            <label for="example-text-input" class="form-control-label">
                                    <?php esc_html_e( "Templates:", 'wamc' );?>
                                </label>

                                <select id="wamc_template_bulk_message" class="form-control">
                                    <option value=""><?php esc_html_e("-- Select Template --", 'wamc');?></option>
                                    <?php
                                        $templates = new Wamc_API_functions();
                                        $templates = $templates->wamc_get_wp_templates();
                                        $encode_response = json_decode($templates);
                                        
                                        foreach($encode_response->data as $dkey => $dval){
                                            ?>
                                            <option value="<?php esc_html_e($dval->name, 'wamc'); ?>" ><?php esc_html_e($dval->name, 'wamc'); ?> </option>
                                                    
                                            <?php
                                        }
                                    ?>
                                </select>
                            </div>
                        </div>
                    <!-- ----------------- -->
                    </div>
                    <button id="wamc_send_bulk_message_action" class="btn btn-primary btn-sm mt-2 ms-auto"><?php esc_html_e("Send Messages", 'wamc'); ?></button>
                </div>
            </div>
        </div>
    </div>
</div>
</main>