<?php
    global $wpdb;
    require_once WAMC_DIR_PATH . '/public/partials/wamc-api-functions.php';
    $fetchLists = $wpdb->get_results(("SELECT id, wamc_user_list_name FROM ".$wpdb->prefix."wamc_user_lists ORDER BY id DESC"));
    $templates = new Wamc_API_functions();
    $templates = $templates->wamc_get_wp_templates();
    $encode_response = json_decode($templates);
?>
<div class="container-fluid py-4">
    <div class="row mt-5">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header pb-0">
                    <div class="d-flex align-items-center">
                        <p class="mb-0"><?php esc_html_e('Add New Campaign', 'wamc');?></p>
                    </div>
                    <hr class="wamc-create-user-via">
                </div>
                 <!-- now body section -->
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="example-text-input" class="form-control-label">
                                    <?php esc_html_e( "Campaign Name:", 'wamc' );?>
                                </label>
                                <input id="wamc_add_new_campaign_name" placeholder="<?php esc_attr_e( "Enter Campaign Name", 'wamc' );?>" class="form-control"/>
                            </div>
                        </div>
                        <!-- --- -->
                        <div class="col-md-4">
                            <div class="form-group">
                            <label for="example-text-input" class="form-control-label">
                                    <?php esc_html_e( "Select User List:", 'wamc' );?>
                            </label>
                            <select id="wamc_select_userlist_for_campaign" class="form-control">
                                    <option value="-1"><?php esc_html_e("-- Select User List --", 'wamc');?></option>
                                        <?php 
                                    foreach($fetchLists as $k => $value):
                                        $listName = $value->wamc_user_list_name;
                                        $uID = $value->id;
                                        ?>
                                            <option value="<?php esc_html_e($uID, 'wamc');?>"><?php esc_html_e($listName, 'wamc');?></option>
                                        <?php
                                    endforeach;
                                        ?> 
                            </select>
                            </div>
                        </div>
                        <!-- --- -->
                        <div class="col-md-4">
                            <div class="form-group">
                            <label for="example-text-input" class="form-control-label">
                                    <?php esc_html_e( "Select Template:", 'wamc' );?>
                            </label>
                            <select id="wamc_select_template_for_campaign" class="form-control">
                                    <option value=""><?php esc_html_e("-- Select Template --", 'wamc');?></option>
                                    <?php
                                        foreach($encode_response->data as $dkey => $dval){
                                            ?>
                                            <option value="<?php esc_html_e($dval->name); ?>" ><?php esc_html_e($dval->name); ?> </option>
                                                    
                                            <?php
                                        }
                                    ?>
                            </select>
                            </div>
                        </div>
                        <!-- --- -->
                        <div class="col-md-4">
                            <div class="form-group">
                            <label for="example-text-input" class="form-control-label">
                                    <?php esc_html_e( "Execution Date:", 'wamc' );?>
                            </label>
                            <input type="text" id="wamc_execution_date_of_campaign" placeholder="<?php esc_attr_e( "Execution Date", 'wamc' );?>" class="form-control"/>
                            
                            </div>
                        </div>
                        <!-- --- -->
                        <div class="col-md-4">
                            <div class="form-group">
                            <label for="example-text-input" class="form-control-label">
                                    <?php esc_html_e( "Other:", 'wamc' );?>
                            </label>
                            <input id="wamc_mobile_number_whatsapp" placeholder="<?php esc_attr_e( "Name", 'wamc' );?>" class="form-control"/>
                            
                            </div>
                        </div>
                        <!-- --- -->
                
                    <!-- ----------------- -->
                    </div>
                    <button id="wamc_add_new_campaign_btn" class="btn btn-primary btn-sm mt-2 ms-auto"><span class="fas fa-plus"></span> <?php esc_html_e("Add Campaign", 'wamc'); ?></button>
                </div>
            </div>
        </div>
    </div>
</div>
</main>