<?php
$url = $_SERVER['REQUEST_URI'];
$path = parse_url($url, PHP_URL_PATH);
$segments = explode('/', rtrim($path, '/'));
$__URL = end($segments);	
$siteURL = get_site_url();
$logoUrl = plugins_url().'/'.WAMC_ROOT.'/wamc-panel/Vendor/assets/img/whats.png';
$documentationLink = plugins_url().'/'.WAMC_ROOT.'/wamc-panel/Vendor/assets/img/illustrations/icon-documentation.svg';
?>
<aside class="sidenav bg-white navbar navbar-vertical navbar-expand-xs border-0 border-radius-xl my-3 fixed-start ms-4 " id="sidenav-main">
    <div class="sidenav-header">
      <i class="fas fa-times p-3 cursor-pointer text-secondary opacity-5 position-absolute end-0 top-0 d-none d-xl-none" aria-hidden="true" id="iconSidenav"></i>
      <a class="navbar-brand m-0" href="#" target="_blank">
        <img src="<?php echo esc_url($logoUrl); ?>" class="navbar-brand-img h-100" alt="main_logo">
        <span class="ms-1 font-weight-bold"><?php esc_html_e("WhatsCamp",'wamc') ?></span>
      </a>
    </div>
    <hr class="horizontal dark mt-0">
    <div class="collapse navbar-collapse  w-auto " id="sidenav-collapse-main">
      <ul class="navbar-nav">
        <li class="nav-item">
          <a class="nav-link <?php if($__URL == "wamc-admin-dashboard")echo esc_attr('active');?>" href="./wamc-admin-dashboard">
            <div class="icon icon-shape icon-sm border-radius-md text-center me-2 d-flex align-items-center justify-content-center">
              <i class="fa fa-plus"></i>
            </div>
            <span class="nav-link-text ms-1"><?php esc_html_e("Dashboard",'wamc') ?></span>
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link <?php if($__URL == "wamc-userlist")echo esc_attr('active');?>" href="./wamc-userlist">
            <div class="icon icon-shape icon-sm border-radius-md text-center me-2 d-flex align-items-center justify-content-center">
              <i class="ni ni-calendar-grid-58 text-warning text-sm opacity-10"></i>
            </div>
            <span class="nav-link-text ms-1"><?php esc_html_e("User List",'wamc') ?></span>
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link <?php if($__URL == "wamc-campaigns")echo esc_attr('active');?>" href="./wamc-campaigns?screen=0">
            <div class="icon icon-shape icon-sm border-radius-md text-center me-2 d-flex align-items-center justify-content-center">
              <i class="ni ni-calendar-grid-58 text-warning text-sm opacity-10"></i>
            </div>
            <span class="nav-link-text ms-1"><?php esc_html_e("Campaigns",'wamc') ?></span>
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link <?php if($__URL == "wamc-bulk-message")echo esc_attr('active');?>" href="./wamc-bulk-message">
            <div class="icon icon-shape icon-sm border-radius-md text-center me-2 d-flex align-items-center justify-content-center">
              <i class="ni ni-calendar-grid-58 text-warning text-sm opacity-10"></i>
            </div>
            <span class="nav-link-text ms-1"><?php esc_html_e("Bulk Messaging",'wamc') ?></span>
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link <?php if($__URL == "wamc-manage-temp")echo esc_attr('active');?>" href="./wamc-manage-template">
            <div class="icon icon-shape icon-sm border-radius-md text-center me-2 d-flex align-items-center justify-content-center">
              <i class="ni ni-single-02 text-dark text-sm opacity-10"></i>
            </div>
            <span class="nav-link-text ms-1"><?php esc_html_e("Manage Templates",'wamc') ?></span>
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link <?php if($__URL == "wamc-admin-setting")echo esc_attr('active');?>" href="./wamc-admin-setting">
            <div class="icon icon-shape icon-sm border-radius-md text-center me-2 d-flex align-items-center justify-content-center">
              <i class="ni ni-single-02 text-dark text-sm opacity-10"></i>
            </div>
            <span class="nav-link-text ms-1"><?php esc_html_e("Profile",'wamc') ?></span>
          </a>
        </li>
      </ul>
    </div>
    <div class="sidenav-footer mx-3 ">
      <div class="card card-plain shadow-none" id="sidenavCard">
        <img class="w-50 mx-auto" src="<?php echo esc_url($documentationLink); ?>" class="sidebar_illustration" alt="sidebar_illustration">
        <div class="card-body text-center p-3 w-100 pt-0">
          <div class="docs-info">
            <h6 class="mb-0"><?php esc_html_e("Need help?", 'wamc');?></h6>
            <p class="text-xs font-weight-bold mb-0"><?php esc_html_e("Please check our docs", 'wamc');?></p>
          </div>
        </div>
      </div>
      <a href="<?php $url = get_site_url(); echo esc_url("$url/wp-admin/");?>" class="btn btn-dark btn-sm w-100 mb-2"><i class="fa-brands fa-wordpress"></i><?php esc_html_e('WordPress Dashboard', 'wamc');?></a>
      <a class="btn btn-primary btn-sm mb-0 w-100" target="_blank" href="<?php echo esc_url("https://techspawn.com/docs/whats-campaign-whatsapp-marketing-plugin-for-woocommerce");?>" type="button"><i class="fa fa-book"></i> <?php esc_html_e(' Documentation', 'wamc');?></a>
    </div>
  </aside>