<!DOCTYPE html>
<html <?php language_attributes(); ?>>

<head>
  <meta charset="<?php bloginfo('charset'); ?>">
  <meta name="viewport" content="width=device-width, initial-scale=1,  shrink-to-fit=no">
  <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
  <?php
    wp_head(); 
    ?>
</head>
<?php 
 global $wpdb;
 $table_name = $wpdb->prefix.'wamc_campaign';
 $table_name_2 = $wpdb->prefix.'wamc_user_lists';
 $campaignList = $wpdb->get_results("SELECT * FROM $table_name WHERE wamc_campaign_status = 'completed'");
 $campaignActive = $wpdb->get_results("SELECT * FROM $table_name WHERE wamc_campaign_status = 'active'");
 $userList = $wpdb->get_results("SELECT * FROM $table_name_2");
 $campaignsCount = count($campaignList);
 $campaignActiveCount = count($campaignActive);
 $user_ListCount = count($userList);


?>

<body class="g-sidenav-show   bg-gray-100">
  <div class="min-height-300 bg-primary position-absolute w-100"></div>

  <?php
    include_once WAMC_DIR_PATH . '/wamc-panel/wamc-cf-views/wamc-cf-nav/wamc-aside.php';
?>

  <main class="main-content position-relative border-radius-lg ">

    <?php
    include_once WAMC_DIR_PATH . '/wamc-panel/wamc-cf-views/wamc-cf-nav/wamc-nav.php';
?>

    <div class="container-fluid py-4">
      <div class="row">
        <div class="col-xl-3 col-sm-6 mb-xl-0 mb-4">
          <div class="card">
            <div class="card-body p-3">
              <div class="row">
                <div class="col-8">
                  <div class="numbers">
                    <p class="text-sm mb-0 text-uppercase font-weight-bold">
                      <?php esc_html_e("Users Lists", 'wamc');?>
                    </p>
                    <h5 class="font-weight-bolder">
                      <?php esc_attr_e($user_ListCount); ?>
                    </h5>
                  </div>
                </div>
                <div class="col-4 text-end">
                  <div class="icon icon-shape bg-gradient-primary shadow-primary text-center rounded-circle">
                    <i class="ni ni-money-coins text-lg opacity-10" aria-hidden="true"></i>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="col-xl-3 col-sm-6 mb-xl-0 mb-4">
          <div class="card">
            <div class="card-body p-3">
              <div class="row">
                <div class="col-8">
                  <div class="numbers">
                    <p class="text-sm mb-0 text-uppercase font-weight-bold">
                      <?php esc_html_e("Active Campaign", 'wamc');?>
                    </p>
                    <h5 class="font-weight-bolder">
                      <?php esc_attr_e($campaignsCount); ?>
                    </h5>
                  </div>
                </div>
                <div class="col-4 text-end">
                  <div class="icon icon-shape bg-gradient-danger shadow-danger text-center rounded-circle">
                    <i class="ni ni-world text-lg opacity-10" aria-hidden="true"></i>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="col-xl-3 col-sm-6 mb-xl-0 mb-4">
          <div class="card">
            <div class="card-body p-3">
              <div class="row">
                <div class="col-8">
                  <div class="numbers">
                    <p class="text-sm mb-0 text-uppercase font-weight-bold">
                      <?php esc_html_e("Completed", 'wamc');?>
                    </p>
                    <h5 class="font-weight-bolder">
                      <?php esc_attr_e( $campaignActiveCount ); ?>
                    </h5>
                  </div>
                </div>
                <div class="col-4 text-end">
                  <div class="icon icon-shape bg-gradient-success shadow-success text-center rounded-circle">
                    <i class="ni ni-paper-diploma text-lg opacity-10" aria-hidden="true"></i>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="col-xl-3 col-sm-6">
          <div class="card">
            <div class="card-body p-3">
              <div class="row">
                <div class="col-8">
                  <div class="numbers">
                    <p class="text-sm mb-0 text-uppercase font-weight-bold">
                      <?php esc_html_e("Message", 'wamc');?>
                    </p>
                    <h5 class="font-weight-bolder">
                      114
                    </h5>
                  </div>
                </div>
                <div class="col-4 text-end">
                  <div class="icon icon-shape bg-gradient-warning shadow-warning text-center rounded-circle">
                    <i class="ni ni-cart text-lg opacity-10" aria-hidden="true"></i>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="row mt-4">
        <div class="col-lg-7 mb-lg-0 mb-4">
          <div class="card z-index-2 h-100">
            <div class="card-header pb-0 pt-3 bg-transparent">
              <h6 class="text-capitalize"><?php esc_html_e("We can show reports here", 'wamc');?></h6>
              <p class="text-sm mb-0">
                <i class="fa fa-arrow-up text-success"></i>
                <span class="font-weight-bold"><?php esc_html_e("Growth", 'wamc');?></span>
              </p>
            </div>
            <div class="card-body p-3">
              <div class="chart">
                <canvas id="chart-line" class="chart-canvas" height="300"></canvas>
              </div>
            </div>
          </div>
        </div>
        <div class="col-lg-5">
          <div class="card card-carousel overflow-hidden h-100 p-0">
            <div id="carouselExampleCaptions" class="carousel slide h-100" data-bs-ride="carousel">
              <div class="carousel-inner border-radius-lg h-100">
                <div class="carousel-item h-100 active">
                  <div class="carousel-caption d-none d-md-block bottom-0 text-start start-0 ms-5">
                    <div class="icon icon-shape icon-sm bg-white text-center border-radius-md mb-3">
                      <i class="ni ni-camera-compact text-dark opacity-10"></i>
                    </div>
                    <h5 class="text-white mb-1"><?php esc_html_e();?></h5>
                    <p><?php esc_html_e();?></p>
                  </div>
                </div>
                <div class="carousel-item h-100">
                  <div class="carousel-caption d-none d-md-block bottom-0 text-start start-0 ms-5">
                    <div class="icon icon-shape icon-sm bg-white text-center border-radius-md mb-3">
                      <i class="ni ni-bulb-61 text-dark opacity-10"></i>
                    </div>
                    <h5 class="text-white mb-1"><?php esc_html_e();?></h5>
                    <p><?php esc_html_e();?></p>
                  </div>
                </div>
                <div class="carousel-item h-100">
                  <div class="carousel-caption d-none d-md-block bottom-0 text-start start-0 ms-5">
                    <div class="icon icon-shape icon-sm bg-white text-center border-radius-md mb-3">
                      <i class="ni ni-trophy text-dark opacity-10"></i>
                    </div>
                    <h5 class="text-white mb-1"><?php esc_html_e();?></p>
                  </div>
                </div>
              </div>
              <button class="carousel-control-prev w-5 me-3" type="button" data-bs-target="#carouselExampleCaptions"
                data-bs-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="visually-hidden"><?php esc_html_e();?></span>
              </button>
              <button class="carousel-control-next w-5 me-3" type="button" data-bs-target="#carouselExampleCaptions"
                data-bs-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="visually-hidden"><?php esc_html_e();?></span>
              </button>
            </div>
          </div>
        </div>
      </div>

      <!-- --------- -->
    </div>
  </main>
</html>